Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.util
Class UnexpectedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.sun.squawk.util.UnexpectedException

    public class UnexpectedException

extends RuntimeException

Field Summary
`protected Throwable` | `unexpected`

Constructor Summary
`UnexpectedException(String message, Throwable unexpected)`
`UnexpectedException(Throwable unexpected)`

Method Summary
`void` | `printStackTrace()` Prints this `Throwable` and its backtrace to the standard error stream.

Methods inherited from class java.lang.Throwable
`getMessage, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### unexpected

    protected Throwable unexpected

Constructor Detail

### UnexpectedException

    public UnexpectedException(String message,
                               Throwable unexpected)

### UnexpectedException

    public UnexpectedException(Throwable unexpected)

Method Detail

### printStackTrace

    public void printStackTrace()

  Description copied from class: `Throwable`
  Prints this `Throwable` and its backtrace to the standard error stream. This method prints a stack trace for this `Throwable` object on the error output stream that is the value of the field `System.err`. The first line of output contains the result of the `Throwable.toString()` method for this object.

  The format of the backtrace information depends on the implementation.

  Overrides:
    `printStackTrace` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"